'use strict';

var javascriptObfuscator = require('javascript-obfuscator');

// let matchFile = (path) => matchFileReg.test(path)

function obfuscatorPlugin({
  matchFile,
  options = {}
} = {}) {
  return {
    name: "vite-plugin-javascript-obfuscator",
    enfore: "post",

    transform(src, id) {
      if (!matchFile || matchFile(id)) {
        const obfuscationResult = javascriptObfuscator.obfuscate(src, options);
        let result = {
          code: obfuscationResult.getObfuscatedCode()
        };

        if (options.sourceMap && options.sourceMapMode !== "inline") {
          result.map = obfuscationResult.getSourceMap();
        }

        return result;
      }
    }

  };
}

module.exports = obfuscatorPlugin;
